package com.hongyegroup.cpt_ewallet.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.commContext
import com.guadou.lib_baselib.ext.gotoActivity
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivityHistoryJobIssueDetailBinding
import com.hongyegroup.cpt_ewallet.mvvm.HistoryJobIssueDetailViewModel
import dagger.hilt.android.AndroidEntryPoint

/**
 * 钱包历史详情中，兼职工作发票详情的问题提交页面详情展示
 */
@AndroidEntryPoint
class HistoryJobIssueDetailActivity : YYBaseVDBActivity<HistoryJobIssueDetailViewModel, ActivityHistoryJobIssueDetailBinding>() {

    companion object {
        fun startInstance() {
            commContext().gotoActivity<HistoryJobIssueDetailActivity>()
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_history_job_issue_detail, BR.viewModel, mViewModel)
    }

    override fun init(savedInstanceState: Bundle?) {
        setStatusBarBlackText()

    }

    override fun startObserve() {

    }

}